# AppendersFactory.cpp File Reference

`#include <log4cpp/AppendersFactory.hh>`
`#include <stdexcept>`

Include dependency graph for AppendersFactory.cpp:

## Namespaces

namespace | log4cpp

## Functions

std::auto_ptr< Appender > | log4cpp::create_file_appender (const FactoryParams &)
std::auto_ptr< Appender > | log4cpp::create_roll_file_appender (const FactoryParams &)
std::auto_ptr< Appender > | log4cpp::create_idsa_appender (const FactoryParams &)
std::auto_ptr< Appender > | log4cpp::create_nt_event_log_appender (const FactoryParams &)
std::auto_ptr< Appender > | log4cpp::create_remote_syslog_appender (const FactoryParams &)
std::auto_ptr< Appender > | log4cpp::create_syslog_appender (const FactoryParams &)
std::auto_ptr< Appender > | log4cpp::create_win32_debug_appender (const FactoryParams &)
std::auto_ptr< Appender > | log4cpp::create_abort_appender (const FactoryParams &params)
std::auto_ptr< Appender > | log4cpp::create_smtp_appender (const FactoryParams &)

## Variables

static AppendersFactory * | log4cpp::appenders_factory_ = 0